osm2pgrouting(1)

NAME
osm2pgrouting - import OpenStreetMap data into a pgRouting database

SYNOPSIS
osm2pgrouting
-f file [OPTIONS]

DESCRIPTION
osm2pgrouting is a command line tool that makes it easy to import OpenStreetMap data into a pgRouting database. It builds the routing network topology automatically and creates tables for feature types and road classes.

OPTIONS
Help:

\FC--help\F[]
    Produce help message for this version

\FC-v\F[], \FC--version\F[]
    Print version string

General:

\FC-f\F[] file, \FC--file\F[] file
    Name of the OSM file (Required).

\FC-c\F[] file, \FC--conf\F[] file
    Name of the configuration XML file. (default: /usr/share/osm2pgrouting/mapconfig.xml)

\FC--schema\F[] schema
    Database schema to put tables. blank: defaults to default schema dictated by PostgreSQL search_path.

\FC--prefix\F[] prefix
    Prefix added at the beginning of the table names.

\FC--suffix\F[] suffix
    Suffix added at the end of the table names.

\FC--addnodes\F[]
    Import the osm_nodes table.

\FC--clean\F[]
    Drop previously created tables.

Database options:

\FC-d\F[] name, \FC--dbname\F[] name
    Name of your database (Required).

\FC-U\F[] name, \FC--username\F[] name
    Name of the user, which have write access to the database. (default: postgres)

\FC-h\F[] host, \FC--host\F[] host
    Host of your PostgreSQL database. (default: localhost)

\FC-p\F[] port, \FC--port\F[] port
    Port of your database. (default: 5432)

\FC-W\F[] password, \FC--password\F[] password
    Password for database access.